diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/movie.py trunk/lib/movie.py
--- griffith-0.13/lib/movie.py	2011-09-13 20:30:22.000000000 +0300
+++ trunk/lib/movie.py	2014-01-06 22:10:52.595013531 +0200
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: movie.py 1585 2011-09-12 20:43:18Z mikej06 $'
+__revision__ = '$Id: movie.py 1655 2013-11-12 21:52:22Z mikej06 $'
 
 # Copyright (c) 2005-2009 Vasco Nunes, Piotr Ożarowski
 #
@@ -321,6 +321,7 @@
     remove_accents = True
     progress = None
     useurllib2 = False
+    usepostrequest = False
 
     def __init__(self):
         pass
@@ -348,13 +349,18 @@
             self.url = self.url % self.title
             self.url = string.replace(self.url, ' ', '%20')
         else:
-            self.url = string.replace(self.url + self.title, ' ', '%20')
+            if not self.usepostrequest:
+                self.url = string.replace(self.url + self.title, ' ', '%20')
         try:
             url = self.url.encode(self.encode)
         except UnicodeEncodeError:
             url = self.url.encode('utf-8')
         self.progress.set_data(parent_window, _("Searching"), _("Wait a moment"), True)
-        retriever = Retriever(url, parent_window, self.progress, destination, useurllib2=self.useurllib2)
+        if self.usepostrequest:
+            postdata = self.get_postdata()
+            retriever = Retriever(url, parent_window, self.progress, destination, useurllib2=self.useurllib2, postdata=postdata)
+        else:
+            retriever = Retriever(url, parent_window, self.progress, destination, useurllib2=self.useurllib2)
         retriever.start()
         while retriever.isAlive():
             self.progress.pulse()
@@ -389,11 +395,16 @@
         finally:
             urlcleanup()
         return True
+    
+    def get_postdata(self):
+        # sample, depends on target site
+        #return {'title' : self.Title, 'category' : 'movieTitel' }
+        return {}
 
 
 class Retriever(threading.Thread):
 
-    def __init__(self, URL, parent_window, progress, destination=None, useurllib2=False):
+    def __init__(self, URL, parent_window, progress, destination=None, useurllib2=False, postdata=None):
         self.URL = URL
         self.html = None
         self.exception = None
@@ -402,14 +413,23 @@
         self.progress = progress
         self._stopevent = threading.Event()
         self._sleepperiod = 1.0
+        self.postdata = postdata
         threading.Thread.__init__(self, name="Retriever")
 
     def run(self):
         try:
             if self.useurllib2:
-                self.html = urlretrieve2(self.URL, self.destination, self.hook)
+                if self.postdata:
+                    encodedpostdata = urlencode(self.postdata)
+                    self.html = urlretrieve2(self.URL, self.destination, self.hook, encodedpostdata)
+                else:
+                    self.html = urlretrieve2(self.URL, self.destination, self.hook)
             else:
-                self.html = urlretrieve(self.URL, self.destination, self.hook)
+                if self.postdata:
+                    encodedpostdata = urlencode(self.postdata)
+                    self.html = urlretrieve(self.URL, self.destination, self.hook, encodedpostdata)
+                else:
+                    self.html = urlretrieve(self.URL, self.destination, self.hook)
             if self.progress.status:
                 self.html = []
         except Exception, e:
@@ -447,7 +467,9 @@
 def urlretrieve2(url, filename=None, reporthook=None, data=None):
     global _tempfilecleanup
     headers = {
-        'User-Agent': 'Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7',
+        #'User-Agent': 'Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.2; Trident/6.0; MSAppHost/1.0)',
+        #'User-Agent': 'Dalvik/1.6.0 (Linux; U; Android 4.2.2; Nexus 4 Build/JDQ39E)'
+        'User-Agent': 'Dalvik/1.2.0 (Linux; U; Android 2.2.2; Huawei U8800-51 Build/HWU8800B635)',
         'Cache-Control': 'no-cache',
         'Pragma': 'no-cache',
         'Accept-Encoding': 'gzip'}
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/export/PluginExportPDF.py trunk/lib/plugins/export/PluginExportPDF.py
--- griffith-0.13/lib/plugins/export/PluginExportPDF.py	2011-02-08 23:10:58.000000000 +0200
+++ trunk/lib/plugins/export/PluginExportPDF.py	2013-07-27 18:37:05.820220732 +0300
@@ -1,8 +1,8 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginExportPDF.py 1533 2011-02-08 21:04:38Z iznogoud $'
+__revision__ = '$Id: PluginExportPDF.py 1648 2013-06-01 18:25:04Z mikej06 $'
 
-# Copyright (c) 2005-2010 Vasco Nunes
+# Copyright (c) 2005-2013 Vasco Nunes
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -42,20 +42,34 @@
 import gutils
 import version
 from plugins.export import Base
+import logging
+
+log = logging.getLogger("Griffith")
 
 class ExportPlugin(Base):
     name = "PDF"
     description = _("PDF export plugin")
     author = "Vasco Nunes"
     email = "<vasco.m.nunes@gmail.com>"
-    version = "0.6"
+    version = "0.7"
 
-    fields_to_export = ('number', 'o_title', 'title', 'director', 'genre', 'cast', 'plot', 'runtime', 'year', 'notes', 'poster_md5')
+    fields_to_export = ('number', 'o_title', 'title', 'director', 'genre', 'cast', 'plot', 'runtime', 'year', 'notes', 'poster_md5', 'width', 'height', 'volumes.name', 'collections.name')
 
     def initialize(self):
         self.fontName = ''
         return True
 
+    def _get_resolution(self, movie):
+        if not movie.movies_width or not movie.movies_height:
+            return ''
+        from db._movie import res_aliases
+        resolution = (movie.movies_width, movie.movies_height)
+        if resolution in res_aliases:
+            return res_aliases[resolution][0]
+        else:
+            res_string = "%dx%d" % resolution
+            return res_string
+    
     def run(self):
         """exports a simple movie list to a pdf file"""
 
@@ -79,124 +93,142 @@
                     overwrite = False
 
             if overwrite == True or overwrite is None:
-                # filename encoding
-                defaultLang, defaultEnc = getdefaultlocale()
-                if defaultEnc is None:
-                    defaultEnc = 'UTF-8'
-                c = SimpleDocTemplate(pdffilename.encode(defaultEnc), \
-                    author = 'Griffith', \
-                    title = _('List of films').encode('utf-8'), \
-                    subject = _('List of films').encode('utf-8'))
-                # data encoding
-                #if defaultEncoding == 'WinAnsiEncoding':
-                #    defaultEnc = 'cp1252'
-                #else:
-                defaultEnc = 'utf-8'
-
-                pdf_elements = self.config.get('pdf_elements', 'image,director,genre,cast').split(',')
-
-                self.create_styles()
-                style = self.styles["Normal"]
-                Story = [Spacer(1,2*inch)]
-
-                # select sort column - FIXME
-                sort_column_name = self.config.get('sortby', 'number', section='mainlist')
-                sort_reverse = self.config.get('sortby_reverse', False, section='mainlist')
-                do_grouping = True
-                for i in sort_column_name.split(','):
-                    if i != 'title' and i != 'o_title':
-                        do_grouping = False
-
-                # build the query
-                query = self.get_query()
-                movies = query.execute().fetchall()
-
-                # define some custom stylesheetfont
-                total = len(movies)
-                p = Paragraph(saxutils.escape((_("List of films")).encode('utf-8')), self.styles["Heading1"] )
-                Story.append(p)
-                Story.append(Paragraph(" ",style))
-                p = Paragraph(saxutils.escape((_("Total Movies: %s") % str(total)).encode('utf-8')), self.styles["Heading3"])
-                Story.append(p)
-                Story.append(Paragraph(" ",style))
-                # output movies
-                first_letter = ''
-                for movie in movies:
-                    number = movie.number
-                    if movie.o_title:
-                        original_title = movie.o_title.encode(defaultEnc)
-                    else:
-                        original_title = ''
-                    if movie.title:
-                        title = movie.title.encode(defaultEnc)
-                    else:
-                        title = ''
-                    grouping_title = movie.title
-                    if grouping_title is None:
-                        grouping_title = u'None'
-                    if movie.director:
-                        director = ' - ' + movie.director.encode(defaultEnc)
-                    else:
-                        director = ""
-                    # group by first letter
-                    # use movie.title/grouping_title for grouping because of encoding problems !!!
-                    if do_grouping and grouping_title[0] != first_letter:
-                        if grouping_title[0] in '0123456789':
-                            # Group Numbers
-                            if first_letter != '0-9':
-                                first_letter = '0-9'
+                try:
+                    # filename encoding
+                    defaultLang, defaultEnc = getdefaultlocale()
+                    if defaultEnc is None:
+                        defaultEnc = 'UTF-8'
+                    c = SimpleDocTemplate(pdffilename.encode(defaultEnc), \
+                        author = 'Griffith', \
+                        title = _('List of films').encode('utf-8'), \
+                        subject = _('List of films').encode('utf-8'), \
+                        allowSplitting = False)
+                    # data encoding
+                    #if defaultEncoding == 'WinAnsiEncoding':
+                    #    defaultEnc = 'cp1252'
+                    #else:
+                    defaultEnc = 'utf-8'
+
+                    pdf_elements = self.config.get('pdf_elements', 'image,director,genre,cast').split(',')
+
+                    self.create_styles()
+                    style = self.styles["Normal"]
+                    Story = [Spacer(1,2*inch)]
+
+                    # select sort column - FIXME
+                    sort_column_name = self.config.get('sortby', 'number', section='mainlist')
+                    sort_reverse = self.config.get('sortby_reverse', False, section='mainlist')
+                    do_grouping = True
+                    for i in sort_column_name.split(','):
+                        if i != 'title' and i != 'o_title':
+                            do_grouping = False
+
+                    # build the query
+                    query = self.get_query()
+                    movies = query.execute().fetchall()
+
+                    # define some custom stylesheetfont
+                    total = len(movies)
+                    p = Paragraph(saxutils.escape((_("List of films")).encode('utf-8')), self.styles["Heading1"] )
+                    Story.append(p)
+                    Story.append(Paragraph(" ",style))
+                    p = Paragraph(saxutils.escape((_("Total Movies: %s") % str(total)).encode('utf-8')), self.styles["Heading3"])
+                    Story.append(p)
+                    Story.append(Paragraph(" ",style))
+                    # output movies
+                    first_letter = ''
+                    for movie in movies:
+                        number = movie.movies_number
+                        if movie.movies_o_title:
+                            original_title = movie.movies_o_title.encode(defaultEnc)
+                        else:
+                            original_title = ''
+                        if movie.movies_title:
+                            title = movie.movies_title.encode(defaultEnc)
+                        else:
+                            title = ''
+                        grouping_title = movie.movies_title
+                        if grouping_title is None:
+                            grouping_title = u'None'
+                        if movie.movies_director:
+                            director = ' - ' + movie.movies_director.encode(defaultEnc)
+                        else:
+                            director = ""
+                        # group by first letter
+                        # use movie.title/grouping_title for grouping because of encoding problems !!!
+                        if do_grouping and grouping_title[0] != first_letter:
+                            if grouping_title[0] in '0123456789':
+                                # Group Numbers
+                                if first_letter != '0-9':
+                                    first_letter = '0-9'
+                                    paragraph_text = saxutils.escape(first_letter)
+                                    p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Heading2'])
+                                    Story.append(p)
+                            else:
+                                first_letter = grouping_title[0]
                                 paragraph_text = saxutils.escape(first_letter)
                                 p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Heading2'])
                                 Story.append(p)
-                        else:
-                            first_letter = grouping_title[0]
-                            paragraph_text = saxutils.escape(first_letter)
-                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Heading2'])
-                            Story.append(p)
-                    # add movie title
-                    paragraph_text = '<b>'+ saxutils.escape(title) + '</b>' + \
-                        saxutils.escape(' (' + original_title + ') | ' + str(number))
-                    p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Heading3'])
-                    if 'image' in pdf_elements:
-                        image_filename = None
-                        if movie.poster_md5:
-                            image_filename = gutils.get_image_fname(movie.poster_md5, self.db, 'm')
-                        if image_filename:
-                            p = ParagraphAndImage(p, Image(image_filename, width = 30, height = 40), side = 'left')
-                            # wrap call needed because of a bug in reportlab flowables.py - ParagraphAndImage::split(self,availWidth, availHeight)
-                            # AttributeError: ParagraphAndImage instance has no attribute 'wI'
-                            p.wrap(30, 40)
-                    Story.append(p)
-                    if 'year' in pdf_elements and movie.year:
-                        paragraph_text = '<b>' + _('Year') + ': </b>' + saxutils.escape(str(movie.year))
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                    if 'runtime' in pdf_elements and movie.runtime:
-                        paragraph_text = '<b>' + _('Runtime') + ': </b>' + saxutils.escape(str(movie.runtime))
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                    if 'genre' in pdf_elements and movie.genre:
-                        paragraph_text = '<b>' + _('Genre') + ': </b>' + saxutils.escape(movie.genre.encode(defaultEnc))
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                    if 'director' in pdf_elements and movie.director:
-                        paragraph_text = '<i><b>' + _('Director') + ': </b>' + saxutils.escape(movie.director.encode(defaultEnc)) + '</i>'
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                    if 'cast' in pdf_elements and movie.cast:
-                        paragraph_text = '<i><b>' + _('Cast') + ': </b>' + saxutils.escape('; '.join(movie.cast.encode(defaultEnc).split("\n")[0:2])) + '</i>'
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                        # add movie title
+                        paragraph_text = '<b>'+ saxutils.escape(title) + '</b>' + \
+                            saxutils.escape(' (' + original_title + ') | ' + str(number))
+                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Heading3'])
+                        if 'image' in pdf_elements:
+                            image_filename = None
+                            if movie.movies_poster_md5:
+                                image_filename = gutils.get_image_fname(movie.movies_poster_md5, self.db, 'm')
+                            if image_filename:
+                                p = ParagraphAndImage(p, Image(image_filename, width = 30, height = 40), side = 'left')
+                                # wrap call needed because of a bug in reportlab flowables.py - ParagraphAndImage::split(self,availWidth, availHeight)
+                                # AttributeError: ParagraphAndImage instance has no attribute 'wI'
+                                p.wrap(30, 40)
                         Story.append(p)
-                    if 'plot' in pdf_elements and movie.plot:
-                        paragraph_text = '<i><b>' + _('Plot') + ': </b>' + saxutils.escape(movie.plot.encode(defaultEnc)) + '</i>'
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                    if 'notes' in pdf_elements and movie.notes:
-                        paragraph_text = '<i><b>' + _('Notes') + ': </b>' + saxutils.escape(movie.notes.encode(defaultEnc)) + '</i>'
-                        p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
-                        Story.append(p)
-                c.build(Story, onFirstPage=self.page_template, onLaterPages=self.page_template)
-                gutils.info(_('PDF has been created.'), self.parent_window)
+                        if 'year' in pdf_elements and movie.movies_year:
+                            paragraph_text = '<b>' + _('Year') + ': </b>' + saxutils.escape(str(movie.movies_year))
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'runtime' in pdf_elements and movie.movies_runtime:
+                            paragraph_text = '<b>' + _('Runtime') + ': </b>' + saxutils.escape(str(movie.movies_runtime))
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'genre' in pdf_elements and movie.movies_genre:
+                            paragraph_text = '<b>' + _('Genre') + ': </b>' + saxutils.escape(movie.movies_genre.encode(defaultEnc))
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'director' in pdf_elements and movie.movies_director:
+                            paragraph_text = '<i><b>' + _('Director') + ': </b>' + saxutils.escape(movie.movies_director.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'cast' in pdf_elements and movie.movies_cast:
+                            paragraph_text = '<i><b>' + _('Cast') + ': </b>' + saxutils.escape('; '.join(movie.movies_cast.encode(defaultEnc).split("\n")[0:2])) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'plot' in pdf_elements and movie.movies_plot:
+                            paragraph_text = '<i><b>' + _('Plot') + ': </b>' + saxutils.escape(movie.movies_plot.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if 'notes' in pdf_elements and movie.movies_notes:
+                            paragraph_text = '<i><b>' + _('Notes') + ': </b>' + saxutils.escape(movie.movies_notes.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        resolution = self._get_resolution(movie)
+                        if resolution:
+                            paragraph_text = '<i><b>' + _('Resolution') + ': </b>' + saxutils.escape(resolution.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if movie.volumes_name:
+                            paragraph_text = '<i><b>' + _('Volume') + ': </b>' + saxutils.escape(movie.volumes_name.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                        if movie.collections_name:
+                            paragraph_text = '<i><b>' + _('Collection') + ': </b>' + saxutils.escape(movie.collections_name.encode(defaultEnc)) + '</i>'
+                            p = Paragraph(paragraph_text.decode(defaultEnc), self.styles['Normal'])
+                            Story.append(p)
+                    c.build(Story, onFirstPage=self.page_template, onLaterPages=self.page_template)
+                    gutils.info(_('PDF has been created.'), self.parent_window)
+                except Exception, e:
+                    log.exception('')
+                    gutils.error(str(e))
 
     def create_styles(self):
         self.styles = getSampleStyleSheet()
@@ -206,18 +238,23 @@
             fontfilename = self.config.get('font', '')
             (fontfilenamebase, fontfilenameextension) = os.path.splitext(fontfilename)
 
-            pdfmetrics.registerFont(TTFont(self.fontName, fontfilename))
-            addMapping(self.fontName, 0, 0, self.fontName)
-            # build font family if available to support <b> and <i>
-            if os.path.isfile(fontfilenamebase + 'bd' + fontfilenameextension):
-                pdfmetrics.registerFont(TTFont(self.fontName + '-bold', fontfilenamebase + 'bd' + fontfilenameextension))
-                addMapping(self.fontName, 1, 0, self.fontName + '-bold')
-            if os.path.isfile(fontfilenamebase + 'bi' + fontfilenameextension):
-                pdfmetrics.registerFont(TTFont(self.fontName + '-bolditalic', fontfilenamebase + 'bi' + fontfilenameextension))
-                addMapping(self.fontName, 1, 1, self.fontName + '-bolditalic')
-            if os.path.isfile(fontfilenamebase + 'i' + fontfilenameextension):
-                pdfmetrics.registerFont(TTFont(self.fontName + '-italic', fontfilenamebase + 'i' + fontfilenameextension))
-                addMapping(self.fontName, 0, 1, self.fontName + '-italic')
+            try:
+                pdfmetrics.registerFont(TTFont(self.fontName, fontfilename))
+            except:
+                log.exception('')
+                self.fontName = "Helvetica"
+            else:
+                addMapping(self.fontName, 0, 0, self.fontName)
+                # build font family if available to support <b> and <i>
+                if os.path.isfile(fontfilenamebase + 'bd' + fontfilenameextension):
+                    pdfmetrics.registerFont(TTFont(self.fontName + '-bold', fontfilenamebase + 'bd' + fontfilenameextension))
+                    addMapping(self.fontName, 1, 0, self.fontName + '-bold')
+                if os.path.isfile(fontfilenamebase + 'bi' + fontfilenameextension):
+                    pdfmetrics.registerFont(TTFont(self.fontName + '-bolditalic', fontfilenamebase + 'bi' + fontfilenameextension))
+                    addMapping(self.fontName, 1, 1, self.fontName + '-bolditalic')
+                if os.path.isfile(fontfilenamebase + 'i' + fontfilenameextension):
+                    pdfmetrics.registerFont(TTFont(self.fontName + '-italic', fontfilenamebase + 'i' + fontfilenameextension))
+                    addMapping(self.fontName, 0, 1, self.fontName + '-italic')
         else:
             self.fontName = "Helvetica"
 
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/extensions/ge_movieposterdb.py trunk/lib/plugins/extensions/ge_movieposterdb.py
--- griffith-0.13/lib/plugins/extensions/ge_movieposterdb.py	2011-08-11 22:35:36.000000000 +0300
+++ trunk/lib/plugins/extensions/ge_movieposterdb.py	2013-07-27 18:37:05.103522449 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: ge_movieposterdb.py 1568 2011-08-10 20:08:12Z mikej06 $'
+__revision__ = '$Id: ge_movieposterdb.py 1624 2012-06-07 19:07:22Z mikej06 $'
 
 # Copyright © 2010 Michael Jahn
 #
@@ -77,23 +77,23 @@
                 if movie.year:
                     url = self.baseurltitleyear % (o_title, movie.year)
                     data = self._get(url, self.widgets['window'])
-                    if data:
+                    if data and data.find('movie/0000000') < 0:
                         largeurl = gutils.trim(data, 'src=\\"', '\\"').replace('/t_', '/l_')
                 if not data or not largeurl:
                     url = self.baseurltitle % o_title
                     data = self._get(url, self.widgets['window'])
-                    if data:
+                    if data and data.find('movie/0000000') < 0:
                         largeurl = gutils.trim(data, 'src=\\"', '\\"').replace('/t_', '/l_')
             if not data or not largeurl and title and title != o_title:
                 if movie.year:
                     url = self.baseurltitleyear % (title, movie.year)
                     data = self._get(url, self.widgets['window'])
-                    if data:
+                    if data and data.find('movie/0000000') < 0:
                         largeurl = gutils.trim(data, 'src=\\"', '\\"').replace('/t_', '/l_')
                 if not data or not largeurl:
                     url = self.baseurltitle % title
                     data = self._get(url, self.widgets['window'])
-                    if data:
+                    if data and data.find('movie/0000000') < 0:
                         largeurl = gutils.trim(data, 'src=\\"', '\\"').replace('/t_', '/l_')
         except:
             log.exception('')
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/imp/DVDProfiler.py trunk/lib/plugins/imp/DVDProfiler.py
--- griffith-0.13/lib/plugins/imp/DVDProfiler.py	2011-12-19 00:35:26.000000000 +0200
+++ trunk/lib/plugins/imp/DVDProfiler.py	2013-07-27 18:37:06.030229996 +0300
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 
-__revision__ = '$Id: DVDProfiler.py 1605 2011-12-18 22:35:25Z piotrek $'
+__revision__ = '$Id: DVDProfiler.py 1612 2012-01-02 21:14:32Z mikej06 $'
 
 # Copyright (c) 2009
 
@@ -205,11 +205,11 @@
                                         details['screenplay'] = details['screenplay'] + lastName + ', '
                                     elif firstName:
                                         details['screenplay'] = details['screenplay'] + firstName + ', '
-                        if len(details['director']) > 2:
+                        if len(details['director']) > 1:
                             details['director'] = details['director'][:-2]
-                        if len(details['cameraman']) > 2:
+                        if len(details['cameraman']) > 1:
                             details['cameraman'] = details['cameraman'][:-2]
-                        if len(details['screenplay']) > 2:
+                        if len(details['screenplay']) > 1:
                             details['screenplay'] = details['screenplay'][:-2]
                     elif node.nodeName == 'Actors':
                         details['cast'] = ''
@@ -260,7 +260,7 @@
                         for genreElement in genreElements:
                             if len(genreElement.childNodes) > 0:
                                 details['genre'] = details['genre'] + genreElement.childNodes[0].data.strip() + ', '
-                        if details['genre'] > 2:
+                        if len(details['genre']) > 1:
                             details['genre'] = details['genre'][:-2]
                     elif node.nodeName == 'Studios':
                         details['studio'] = ''
@@ -268,7 +268,7 @@
                         for studioElement in studioElements:
                             if len(studioElement.childNodes) > 0:
                                 details['studio'] = details['studio'] + studioElement.childNodes[0].data.strip() + ', '
-                        if details['studio'] > 2:
+                        if len(details['studio']) > 1:
                             details['studio'] = details['studio'][:-2]
                     elif node.nodeName == 'Regions':
                         regionElements = node.getElementsByTagName('Region')
Only in trunk/lib/plugins/imp: Tellico.py
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/imp/__init__.py trunk/lib/plugins/imp/__init__.py
--- griffith-0.13/lib/plugins/imp/__init__.py	2011-01-18 12:25:50.000000000 +0200
+++ trunk/lib/plugins/imp/__init__.py	2013-07-27 18:37:06.026896516 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: __init__.py 1497 2011-01-16 13:09:52Z mikej06 $'
+__revision__ = '$Id: __init__.py 1628 2012-08-30 21:23:02Z mikej06 $'
 
 # Copyright (c) 2006-2011 Piotr Ożarowski
 #
@@ -181,14 +181,11 @@
                             tags = details.pop('tags')
                         else:
                             tags = None
+                        poster = None
                         if 'poster' in details:
                             poster = details.pop('poster')
-                        else:
-                            poster = None
-                        if 'image' in details:
+                        elif 'image' in details:
                             poster = details.pop('image')
-                        else:
-                            poster = None
                         try:
                             # optional: do mapping of lookup data
                             if not self.foreignkeymaps:
@@ -229,6 +226,7 @@
                                         db.tables.movie_tag.insert(bind=self.db.session.bind).execute({'movie_id': movie.lastrowid, 'tag_id': tag_id})
                                     except:
                                         pass
+                            self.db.session.commit()
                             # adding poster
                             if poster:
                                 if len(poster) > 4:
